CREATE TABLE doo_ds_groups (
    GROUP_ID                 NUMBER(18, 0) ,
    GROUP_NAME               VARCHAR2(200)     NOT NULL,
    DESCRIPTION              VARCHAR2(1020),
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    EFFECTIVE_FROM           DATE          ,
    EFFECTIVE_UNTIL          DATE          ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    GROUP_ID                 NUMBER(18, 0) ,
    GROUP_NAME               VARCHAR2(200)     NOT NULL,
    DESCRIPTION              VARCHAR2(1020),
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    EFFECTIVE_FROM           DATE          ,
    EFFECTIVE_UNTIL          DATE          ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_doo_ds_groups PRIMARY KEY (GROUP_ID, GROUP_ID)
);
